## SoupRequestHTTP

SoupRequestHTTP — SoupRequest support for "http" and "https" URIs

## Functions

SoupMessage * | soup_request_http_get_message ()

## Types and Values

| SoupRequestHTTP

## Object Hierarchy

        GObject
        ╰── SoupRequest
            ╰── SoupRequestHTTP

## Implemented Interfaces

SoupRequestHTTP implements GInitable.

## Includes

    #include <libsoup/soup.h>

## Description

SoupRequestHTTP implements SoupRequest for "http" and "https" URIs.

To do more complicated HTTP operations using the SoupRequest APIs, call `soup_request_http_get_message()` to get the request's SoupMessage.

## Functions

### soup_request_http_get_message ()

    SoupMessage *
    soup_request_http_get_message (SoupRequestHTTP *http);

Gets a new reference to the SoupMessage associated to this SoupRequest

#### Parameters

http | a SoupRequestHTTP object |

#### Returns

a new reference to the SoupMessage.

[transfer full]

Since 2.40

## Types and Values

### SoupRequestHTTP

    typedef struct _SoupRequestHTTP SoupRequestHTTP;